//
//  CompositionState.swift
//  Tusker
//
//  Created by Shadowfacts on 1/17/20.
//  Copyright © 2020 Shadowfacts. All rights reserved.
//

import Foundation

struct CompositionState: OptionSet {
    let rawValue: Int
    
    static let currentlyPosting = CompositionState(rawValue: 1 << 0)
    static let tooManyCharacters = CompositionState(rawValue: 1 << 1)
    static let requiresAttachmentDescriptions = CompositionState(rawValue: 1 << 2)
    
    static let valid: CompositionState = []

    var isValid: Bool {
        isEmpty
    }
}
