//
//  SendMesasgeActivity.swift
//  Tusker
//
//  Created by Shadowfacts on 9/5/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import UIKit

class SendMessageActivity: AccountActivity {
    
    override var activityType: UIActivity.ActivityType? {
        return .sendMessageMentioningAccount
    }
    
    override var activityTitle: String? {
        return NSLocalizedString("Send Message", comment: "send message activity title")
    }
    override var activityImage: UIImage? {
        return UIImage(systemName: "square.and.pencil")
    }
    
    override func perform() {
        activityDidFinish(true)
    }
    
    override var activityViewController: UIViewController? {
        guard let account = account else { return nil }
        
        return UINavigationController(rootViewController: ComposeViewController(mentioningAcct: account.acct, mastodonController: mastodonController))
    }

}
